#
# spec file for package gnustep-libobjc2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _oname  libobjc2
Name:           gnustep-libobjc2
Version:        1.8.1
Release:        1.16
Summary:        GNUstep Objective-C Runtime
License:        MIT
Group:          System/Libraries
Url:            https://github.com/gnustep/libobjc2
Source:         https://github.com/gnustep/libobjc2/archive/v%{version}.tar.gz#/%{_oname}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gnustep-make
BuildRequires:  libstdc++-devel
BuildRequires:  llvm-clang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The GNUstep Objective-C runtime is designed as a drop-in replacement for the
GCC runtime.  It supports both a legacy and a modern ABI, allowing code
compiled with old versions of GCC to be supported without requiring
recompilation.  The modern ABI adds the following features:

- Non-fragile instance variables.
- Protocol uniquing.
- Object planes support.
- Declared property introspection.

%package -n %{_oname}
Summary:        GNUstep Objective-C Runtime
Group:          System/Libraries

%description -n %{_oname}
The GNUstep Objective-C runtime is designed as a drop-in replacement for the
GCC runtime.  It supports both a legacy and a modern ABI, allowing code
compiled with old versions of GCC to be supported without requiring
recompilation.  The modern ABI adds the following features:

- Non-fragile instance variables.
- Protocol uniquing.
- Object planes support.
- Declared property introspection.

%package -n %{_oname}-devel
Summary:        Include Files and Libraries Mandatory for Development
Group:          Development/Libraries/C and C++
Requires:       %{_oname} = %{version}

%description -n %{_oname}-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%prep
%setup -q -n %{_oname}-%{version}

%build
mkdir build
pushd build
cmake .. \
    -DCMAKE_C_COMPILER=clang \
    -DCMAKE_CXX_COMPILER=clang++ \
    -DCMAKE_C_FLAGS="%{optflags}" \
    -DCMAKE_CXX_FLAGS="%{optflags}" \
    -DGNUSTEP_INSTALL_TYPE=SYSTEM \
    -DTESTS=FALSE
make %{?_smp_mflags}
popd

%install
pushd build
make  DESTDIR=%{buildroot} install/strip
popd

%post -n %{_oname} -p /sbin/ldconfig
%postun -n %{_oname} -p /sbin/ldconfig

%files -n %{_oname}
%defattr(-,root,root)
%{_libdir}/libobjc.so.*
%{_libdir}/libobjcxx.so.*

%files -n %{_oname}-devel
%defattr(-,root,root)
%doc ANNOUNCE.* API README.md COPYING
%{_includedir}/objc
%{_libdir}/libobjc.so
%{_libdir}/libobjcxx.so

%changelog
* Mon Jan 23 2017 aloisio@gmx.com
- Update to version 1.8.1
- Fixed Leap 42.1/42.2 build
- Removed _service in favour of a tarball in order to be
  accepted into Factory
- Spec cleanup
